@charset "utf-8";
/* 공통 css*/
body {
  overflow-x: hidden;
}
.contents {
  padding: 0 18% 80px 18%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 20px;
  min-height: 700px;
}
.contents h2 {
  font-style: normal;
  font-weight: 700;
  font-size: 28px;
  line-height: 25px;
  color: #000000;
  margin-bottom: 40px;
}
/* 공통서브헤드 부분 */
.sub_hd {
  display: flex;
  flex-direction: column;
}
.sub_hd_bk {
  background: #7db9dd;
  background-size: cover;
  width: 100%;
  height: 180px;
  position: relative;
  display: flex;
  align-items: center;

  padding: 5px 18.75%;
}
.sub_hd_area {
  padding: 0 15%;
  background: #265d95;
  display: flex;
}
.sub_hd_area_home {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 24px;
  border-left: 1px solid #ffffff;
  border-right: 1px solid #ffffff;
}
.sub_hd_area_items {
  border-right: 1px solid #ffffff;
  padding: 20px 32px;
  display: flex;
  flex-direction: column;
  cursor: pointer;
  position: relative;
  min-width: 200px;
}

.sub_hd_area_items_title {
  display: flex;
  gap: 50px;
  justify-content: space-between;
}
.sub_hd_area_items_title h1 {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 154%;
  color: #ffffff;
}
.sub_hd_area_item {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: #ffffff;
  box-shadow: 0px 2px 10px rgb(0 0 0 / 15%);
  display: none;
}
.sub_hd_area_itemem {
  padding: 20px 24px;
  transition: 0.3s;
  display: flex;
}
.sub_hd_area_itemem:hover {
  background-color: #a1d7ed;
}
.sub_hd_area_itemem_p {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 154%;
  color: #3f3f3f;
  transition: 0.3s;
}
.sub_hd_area_itemem:hover .sub_hd_area_itemem_p {
  color: #ffffff;
}
.sub_hd_area_itemm {
  border-right: 1px solid #ffffff;
  padding: 20px 55.5px;
}
.sub_hd_area_itemm h1 {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 154%;
  color: #ffffff;
}

/* 작은도서관이란 */
.guide1_content1 {
  width: 100%;
  background: #f7f7f7;
  padding: 40px 14.843%;
  display: flex;
  justify-content: space-between;
  border-radius: 10px;
}
.guide1_content1_items {
  width: 260px;
  height: 260px;
  border: 5px solid #265d95;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.guide1_content1_item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
.guide1_content1_item p {
  font-style: normal;
  font-weight: 300;
  font-size: 18px;
  line-height: 25px;
  color: #000000;
}

.guide1_content2 {
  width: 100%;
  background: #f7f7f7;
  padding: 40px 0;
  border-radius: 10px;
}
.guide1_content2 p {
  font-style: normal;
  font-weight: 300;
  font-size: 18px;
  line-height: 25px;
  text-align: center;
  color: #000000;
}

/* 작은 도서관찾기 */
.guide2_form {
  width: 100%;
}
.guide2_content1 {
  width: 100%;
  border: 1px solid #ededed;
  background-color: #fafafa;
  border-radius: 10px;
  padding: 24px 32px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.guide2_content1_items1 {
  display: flex;
  justify-content: space-between;
}
.guide2_content1_item1 {
  background-color: #fff;
  border: 1px solid #cdcdcd;
  border-radius: 5px;
  padding: 16px 0;
  width: 8%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.guide2_content1_item1 h1 {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #265d95;
  background-color: #fff;
}
.guide2_content1_items2 {
  padding-left: 6px;
}
.guide2_content1_items2 p {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  color: #4d4d4d;
}
.guide2_content1_items2 p span {
  color: #006ebc;
  font-weight: 700;
}

.guide2_content1_item2 {
  width: 18%;
  padding: 16px 30px 16px 22px;
  cursor: pointer;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: #d9d9d9;
  border: 1px solid #cdcdcd;
  border-radius: 5px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: #fff url(../images/img/sub/select_arrow.png) no-repeat 97% 50%/15px
    auto;
  background-size: contain;
}
.guide2_inputtext {
  cursor: pointer;
  padding: 16px 28px;
  width: 40%;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: gray;
  background-color: #fff;
  border: 1px solid #cdcdcd;
  border-radius: 5px;
}
.guide2_inputtext::placeholder {
  color: #d9d9d9;
}
.guide2_content1_but {
  width: 9.06%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #265d95;
  border-radius: 5px;
  cursor: pointer;
  border: 1px solid transparent;
  transition: 0.3s;
}
.guide2_content1_but {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: #ffffff;
}
.guide2_content1_but:hover {
  background-color: #fff;
  color: #265d95;
  border: 1px solid #265d95;
}

.library_board {
  width: 100%;
  border-top: 2px solid #265d95;
}
.contents_hd {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
}
.contents_hd h3 {
  font-size: 18px;
  font-weight: 500;
  text-transform: uppercase;
  color: #b2b0b3;
}
.contents_hd h4 {
  font-style: normal;
  font-weight: 700;
  font-size: 36px;
  color: #000000;
}
.library_board_item_boxs {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.library_board_items {
  display: flex;
  gap: 30px;
  padding: 20px 16px;
  border-bottom: 1px solid #dbdbdb;
  transition: 0.3s;
}
.library_board_items:hover {
  background: #f7f7f7;
}
.library_board_item {
  display: flex;
  gap: 5px;
}
.library_board_items_img {
  width: 120px;
  height: 77px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}
.library_board_items_img img {
  width: 100%;
  object-fit: cover;
}
.library_board_item p {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  color: #444444;
}
.library_board_item.library_board_item_h4 {
  gap: 10px;
}
.library_board_item.library_board_item_h4 h4 {
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
  color: #000000;
}

/* 작은도서관 안내 */

/* 작은도서관 현황 */
.library_grid {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.library_grid_item {
  padding: 16px 0;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #000000;
  text-align: center;
  border-top: 1px solid #dbdbdb;
  border-right: 1px solid #dbdbdb;
  background: #ffffff;
  cursor: pointer;
}
.library_grid_item.active {
  color: #ffffff;
  background: #265d95;
}

.library_grid_item:nth-child(1) {
  border-left: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(6) {
  border-left: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(9) {
  border-bottom: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(10) {
  border-bottom: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(11) {
  border-left: 1px solid #dbdbdb;
  border-bottom: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(12) {
  border-bottom: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(13) {
  border-bottom: 1px solid #dbdbdb;
}
.library_grid_item:nth-child(14) {
  border-bottom: 1px solid #dbdbdb;
}

.library_contents {
  width: 100%;
  display: flex;
  flex-direction: column;
}
.library_box_title {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.library_box_title_item {
  display: flex;
  flex-direction: column;
  gap: 1px;
  padding-left: 4px;
  min-height: 80px;
}
.library_box_title h1 {
  color: #000;
  padding-right: 40px;
  font-size: 23px;
}
.library_box_title_p {
  display: flex;
  align-items: center;
}
.library_box_title_p p {
  color: #000;
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  line-height: 24px;
  word-break: break-all !important;
  position: relative;
}
.library_box_grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 6px;
  padding-top: 6px;
}
.library_grid2 {
  width: 100%;
  display: flex;
  gap: 40px;
  height: 450px;
  margin-bottom: 20px;
}
.library_grid2_map {
  width: 50%;
}
.library_grid2_imgboxs {
  width: 50%;
  position: relative;
}
.library_grid2_imgbox {
  height: 100%;
}
.library_box {
  width: 100%;
  display: flex;
  flex-direction: column;
}
.library_box_items {
  border: 1px solid #d4d4d4;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
  padding: 24px 0;
  position: relative;
}
.library_box_items:hover .library_box_item0 {
  transform: translateY(-7px);
}
.library_box_item0 {
  width: 85px;
  height: 85px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease-in-out;
  margin-bottom: 6px;
}

.library_box_item1 p {
  font-style: normal;
  font-weight: 600;
  font-size: 17px;
  line-height: 19px;
  color: #000000;
}
.library_box_item2 {
  display: flex;
  flex-direction: column;
}
.library_box_item2 p {
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  line-height: 19px;
  color: #000000;
  text-align: center;
}
.temporary_message_box {
  color: red;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 17px;
  width: 70%;
  display: flex;
  justify-content: center;
}
.temporary_message_box p,
.temporary_message_box p span {
  word-break: break-all;
}
.libraryEstablished_message_box {
  color: #a9a9a9;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 16px;
}
.library_box_items_mai_hover:hover .mai_hover {
  visibility: visible;
  opacity: 1;
}
.mai_hover {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #0000006c;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  font-weight: 600;
  visibility: hidden;
  opacity: 0;
  transition: 0.3s;
}
.but_box {
  display: flex;
}
.but_number_box {
  display: flex;
}
.but_number_box {
  display: flex;
  border-top: 1px solid #dddddd;
  border-bottom: 1px solid #dddddd;
  height: 40px;
}
.but_left,
.but_right {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #dddddd;
  cursor: pointer;
  display: none;
}
.but_right {
  border-left: none;
}
.but_number_box a:nth-child(1) {
  border-left: 1px solid #dddddd;
}
.but_number_box a,
.but_number_box strong {
  min-width: 40px;
  padding: 0 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-right: 1px solid #dddddd;
}

.but_number_box strong {
  height: 100%;
  cursor: pointer;
  border-left: 1px solid #dddddd;
}
.but_number p {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #000000;
}
.but_number_box strong::before {
  content: "";
  display: block;
  height: 2px;
  background-color: #265d95;
  position: absolute;
  bottom: 1px;
  left: 0;
  right: 0;
}

.but_number_box strong.current {
  position: relative;
}
.but_number:last-child {
  border-right: unset;
}
.library_board_but {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.library_board_but_writing {
  background: #265d95;
  padding: 12px 24px;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #ffffff;
  position: absolute;
  top: 0;
  right: 0;
}

/* 교육 프로그래램 */
.program_entirebox {
  border-top: 3px solid #265d95;
  width: 100%;
}
.program_entirebox_items {
  width: 100%;
  display: flex;
  border-bottom: 1px solid #dbdbdb;
  background-color: #fff;
  transition: 0.3s;
}
.program_entirebox_items_bk:hover {
  background: #f7f7f7;
}

.program_entirebox_item {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 18px 6px;
}
.program_entirebox_item.program_entirebox_item_l {
  justify-content: flex-start;
  padding: 0 24px;
  gap: 5px;
}
.program_entirebox_item.program_entirebox_item_l h1 {
  width: unset;
}
.program_entirebox_item:nth-child(1) {
  width: 8%;
}
.program_entirebox_item:nth-child(2) {
  width: 17%;
}
.program_entirebox_item:nth-child(3) {
  width: 41%;
}
.program_entirebox_item:nth-child(4) {
  width: 15%;
}
.program_entirebox_item:nth-child(5) {
  width: 10%;
  padding: unset;
}
.program_entirebox_item:nth-child(5) img {
  max-width: 30px;
  object-fit: cover;
}
.program_entirebox.no_viewcnt .program_entirebox_item:nth-child(3) {
  width: 50%;
}
.program_entirebox_item:nth-child(6) {
  width: 9%;
  border-right: unset;
}
div.program_entirebox_items div.program_entirebox_item h1 {
  font-weight: 600;
  color: #000;
}
.program_entirebox_item h1 {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: #666666;
  width: 100%;
  text-align: center;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.guide2_content1_item2.program_content1_item1 {
  color: gray;
}
.guide2_content1_item2.program_content1_item2 {
  width: 12.5%;
  color: gray;
}
.guide2_inputtext.program_inputtext {
  width: 38%;
  color: gray;
}
.guide2_inputtext.notice_inputtext {
  width: 73%;
}
.bulletin_boar.library_board_blue {
  border-top: 3px solid #265d95;
  width: 100%;
}
.bulletin_boar_items {
  width: 100%;
  display: flex;
  border-bottom: 1px solid #dbdbdb;
  background-color: #fff;
  transition: 0.3s;
}
.bulletin_boar_items_bk:hover {
  background: #f7f7f7;
}

.bulletin_boar_item {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 18px 0;
}
.bulletin_boar_item.bulletin_boar_item_l {
  justify-content: flex-start;
  padding: 0 24px;
  gap: 5px;
}
.bulletin_boar_item.bulletin_boar_item_l h1 {
  text-align: unset;
}
.bulletin_boar_item.bulletin_boar_item_l p {
  color: #265d95;
  font-weight: 600;
  font-size: 14px;
}
.bulletin_boar_item:nth-child(1) {
  width: 8%;
}
.bulletin_boar_item:nth-child(2) {
  width: 58%;
}
.bulletin_boar_item:nth-child(3) {
  width: 15%;
}
.bulletin_boar_item:nth-child(4) {
  width: 10%;
  padding: unset;
}
.bulletin_boar_item:nth-child(4) img {
  max-width: 30px;
  object-fit: cover;
}
.bulletin_boar_item:nth-child(5) {
  width: 9%;
}
div.bulletin_boar_items .bulletin_boar_item h1 {
  color: #000;
  font-weight: 600;
}
.bulletin_boar_item h1 {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: #666666;
  width: 100%;
  text-align: center;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
/* 교육 프로그래램 디테일 페이지*/
.program_detail_contents {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 40px;
}
.program_detail_content {
  border-top: 2px solid #265d95;
  border-bottom: 1px solid #000000;
  width: 100%;
}

.program_detail_content_hd {
  display: flex;
  flex-direction: column;
  border-bottom: 1px solid #dbdbdb;
  padding: 20px;
}
.program_detail_content_hd_title h3 {
  color: #282828;
  font-size: 22px;
  letter-spacing: -0.6px;
  font-weight: 500;
  line-height: 32px;
  word-break: keep-all;
}
.program_detail_content_hd_title h3 .library_name {
  color: #265d95;
}
.program_detail_content_hd_title_sub {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.program_detail_content_hd_title_sub p {
  color: #777;
  font-size: 14px;
  vertical-align: middle;
  font-weight: 500;
}
.attachment_box {
  display: flex;
  gap: 3px;
}
.attachment_box_a {
  display: flex;
}
.attachment_box_a a {
  color: #777;
  font-size: 14px;
  vertical-align: middle;
  font-weight: 500;
  text-decoration: underline;
}
.program_detail_content_area {
  padding: 30px 20px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}
.program_detail_content_area_p {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #000000;
}
.program_detail_content_area_p p img {
  width: 100%;
}
.program_detai_before_but {
  padding: 12px 24px;
  background-color: #265d95;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #ffffff;
  border-radius: 5px;
  border: 1px solid transparent;
  transition: 0.3s;
}
.program_detai_before_but:hover {
  background-color: #fff;
  color: #265d95;
  border: 1px solid #265d95;
}
.program_detai_before_afterbox {
  width: 100%;
  display: flex;
  flex-direction: column;
  border-top: 1px solid #dddddd;
  border-bottom: 1px solid #dddddd;
}
.program_detai_beforebox {
  border-bottom: 1px solid #dddddd;
  display: flex;
}
.program_detai_beforebox_item,
.program_detai_afterbox_item {
  padding: 20.5px 40px;
  display: flex;
  gap: 40px;
  align-items: center;
  justify-content: center;
}
.program_detai_beforebox_item:first-child,
.program_detai_afterbox_item:first-child {
  background-color: #f6f6f6;
  width: 18%;
}
.program_detai_beforebox_item p,
.program_detai_afterbox_item p {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  color: #000000;
}
.program_detai_afterbox {
  display: flex;
}
.program_detail_form {
  width: 100%;
}
.program_detail_content_hd_item_bk {
  background-color: #f6f6f6;
}
.program_detail_content_hd_item_a {
  flex-direction: column;
  gap: 10px;
}

/* 소장도서 검색 */
.book_data_inputtext {
  width: 56%;
}
.book_data_item.book_data_item1 {
  width: 7%;
}
.book_data_item.book_data_item2 {
  width: 20%;
}
.book_data_item.book_data_item3 {
  width: 63%;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  align-items: flex-start;
  justify-content: flex-start;
  padding: 20px 24px;
  border-right: unset;
}
.book_data_item3_area {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.bulletin_boar_item.book_data_item.book_data_item2 h1 {
  text-align: center;
}
.bulletin_boar_item.book_data_item.book_data_item3 h1 {
  text-align: unset;
}
.book_data_item_area {
  display: flex;
  gap: 5px;
}

.book_data_item.book_data_item3 h1 {
  text-align: left;
}
.book_data_item_h1 {
  width: unset !important;
  overflow: unset !important;
  text-overflow: unset !important;
  color: #006ebc !important;
}
.book_data_item_h1_1 {
  color: #666666 !important;
}
#move {
  background: url(../images/img/sub/wave_svg.svg) repeat-x;
  /* repeat-x= '가로로만' 반복 속성 */
  position: absolute;
  left: 0;
  bottom: 0;
  width: 6400px;
  height: 60px;
  z-index: 99;
  /* 1.일러스트에서 좌우가 대칭적인 웨이브 이미지만들기. */
  /* -우리가만든 이미지는 1600x157 <--- 이미지 크기*/
  /* 2.준비한 svg를 배경으로 넣어주고 너비는 배수값으로 지정 */
  /* -우리는 4배수값으로 지정 */
  /* -높이는 준비한 이미지랑 동일하게 */
  /* -이미지는 가로로 반복되도록 지정 */
  /* 3.애니메이션 작용해서 이벤트가 발생하지 않더라도 자동으로 모션효과주기 */
  /* 4.@키프레임 으로 이미지 음수값만큼 이동했다가 제자리로 돌아왔다가를 반복시키키 */
  animation: wave 20s cubic-bezier(0.6, 0.45, 0.54, 0.76) infinite;
  /* cubic-bezier 4개의 컨트롤 포인트를 가진 곡선모델로 animation-timing-function속성에서 애니메이션 시작과 끝까지 효과를 제어하는역활 */
}

@keyframes wave {
  0% {
    margin-left: -1600px;
  }

  100% {
    margin-left: 0;
  }
}

.sub_hd_bk_img1 {
  position: absolute;
  top: 0%;
  right: 130px;
  opacity: 0.7 !important;
  animation: moveUpDown 3s ease-in-out infinite;
}
@keyframes moveUpDown {
  0%,
  100% {
    top: -20px;
  }
  50% {
    top: -40px;
  }
}
.sub_hd_bk_img3 {
  position: absolute;
  top: 0%;
  right: 520px;
  opacity: 0.7 !important;
}
.sub_hd_bk_img4 {
  position: absolute;
  top: 0%;
  right: 520px;
  opacity: 0.7 !important;
}

.sub_hd_bk_tbox {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.sub_hd_bk_tbox_item1 {
  display: flex;
  gap: 12px;
  width: 100%;
  justify-content: flex-start;
}
.sub_hd_bk_tbox_item1 p {
  font-size: 16px;
  color: #7e7e7e;
  font-weight: 500;
}
.sub_hd_bk_tbox_item1 div {
  display: flex;
  align-items: center;
  justify-content: center;
}
.sub_hd_bk_tbox_item2 p {
  display: block;
  font-size: 52px;
  font-weight: 700;
  color: #fff;
  line-height: 1.4em;
  text-transform: uppercase;
}
.sub_hd_bk_tbox_item3 {
  display: flex;
  gap: 12px;
}
.sub_hd_bk_tbox_item3_a {
  border-radius: 30px;
  display: block;
  padding: 12px 20px;
  font-size: 22px;
  font-weight: 600;
  color: #fff;
  text-align: center;
  line-height: 1.5em;
  margin-top: 60px;
  transition: 0.3s;
}
.sub_hd_bk_tbox_item3_a:hover {
  background-color: #fff;
  color: #7db9dd;
}
.sub_hd_bk_tbox_item3_a.active {
  background-color: #fff;
  color: #7db9dd;
}

.book_selectbox1 {
  width: 13%;
}
.book_selectbox2 {
  width: 18%;
}

.library_grid2_imgboxs_pagination {
  position: unset !important;
}
.program_content1_item0 {
  color: gray;
  width: 15%;
}
.swiper-pagination-bullet {
  background: #006ebc !important;
}
.library_detail_beforebut {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  gap: 12px;
}
.library_detail_beforebut a {
  padding: 0 16px;
  height: 50px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #265d95;
  border-radius: 5px;
  cursor: pointer;
  border: 1px solid #ffffff;
  transition: 0.3s;
}
.library_detail_beforebut a:hover {
  background-color: #fff;
  color: #265d95;
  border: 1px solid #265d95;
}
.guide2_title {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  width: 100%;
  border: 1px solid #ededed;
  background-color: #fafafa;
  border-radius: 10px;
  padding: 24px 32px;
  gap: 8px;
}
.guide2_title a {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #4a8fd4;
  border-radius: 5px;
  cursor: pointer;
  border: unset;
  height: 45px;
  border: 1px solid transparent;
}
.guide2_title a.active {
  background-color: #fff;
  color: #4a8fd4;
  border: 1px solid #4a8fd4;
}
.map_container {
  width: 100%;
  height: 600px;
  border: 2px solid #4a8fd4;
}
.outerDiv {
  position: relative;
  width: 150px;
  height: 49px;
}
.infoWindow {
  position: absolute;
  left: -1px;
  bottom: 0;
  padding: 6px;
  width: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 8px;
  background-color: #fff;
  height: 70px;
  border-radius: 5px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.08);
}
.infoWindow p {
  font-size: 14px;
  font-weight: 500;
  text-align: center;
}
.infoWindow .close {
  position: absolute;
  top: 0px;
  right: 7px;
  font-size: 20px;
  cursor: pointer;
}
.openBtn {
  padding: 4px 6px;
  color: #ffffff;
  background: #265d95;
  border: 1px solid transparent;
  cursor: pointer;
  transition: 0.3s;
  border-radius: 5px;
  margin: 10px 0 20px 0;
  font-size: 14px;
}
.openBtn:hover {
  background-color: #fff;
  color: #265d95;
  border: 1px solid #265d95;
  font-size: 12px;
  font-weight: 600;
}
.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
  margin: auto;
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  align-items: center;
  height: 100%;
  padding: 20px;
}
.modal-header {
  display: flex;
  max-width: 70%;
  justify-content: end;
  margin-bottom: 10px;
}

.close-button {
  font-size: 45px;
  color: white;
  cursor: pointer;
}
.library_grid2_imgbox_masking_item img {
  width: 100%;
  min-height: 100%;
  object-fit: cover ;
  cursor: pointer;
}
.library_grid2_imgbox_masking_items,
.library_grid2_imgbox_masking {
  height: 100% !important;
}
.library_grid2_imgbox_masking_item {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.modalImage_width {
  max-width: 90%;
  overflow: auto;
}
.modalImage_width img {
  cursor: grab;
  width: 100%;
}

.modalImage_width img:active {
  cursor: grabbing;
}
.library_grid2_imgboxs {
  position: relative;
  overflow: hidden;
  padding: 2px;
  box-sizing: border-box;
  background-clip: content-box;
}

.library_grid2_imgboxs::before,
.library_grid2_imgboxs::after,
.library_grid2_imgboxs span::before,
.library_grid2_imgboxs span::after {
  content: "";
  position: absolute;
  background-color: #00b7ff;
  transition: all 0.3s;
  pointer-events: none;
}

.library_grid2_imgboxs::before,
.library_grid2_imgboxs span::before {
  width: 100%;
  height: 3px;
}

.library_grid2_imgboxs::before {
  top: 0;
  left: -100%;
}

.library_grid2_imgboxs span::before {
  bottom: 0;
  right: -100%;
}

.library_grid2_imgboxs::after,
.library_grid2_imgboxs span::after {
  width: 3px;
  height: 100%;
}

.library_grid2_imgboxs::after {
  top: -100%;
  left: 0;
}

.library_grid2_imgboxs span::after {
  bottom: -100%;
  right: 0;
}

.library_grid2_imgboxs:hover::before {
  left: 0;
}

.library_grid2_imgboxs:hover::after {
  top: 0;
}

.library_grid2_imgboxs:hover span::before {
  right: 0;
}

.library_grid2_imgboxs:hover span::after {
  bottom: 0;
}

.library_grid2_imgboxs_but {
  width: 50px !important;
  height: 50px !important;
  background-color: #00000085 !important;
  background-size: cover;
}
.library_grid2_imgboxs_but_r {
  right: 2px !important;
  background: url(../images/img/sub/library_grid2_imgboxs_but_r.png) no-repeat
    center center;
}
.library_grid2_imgboxs_but_l {
  left: 2px !important;
  background: url(../images/img/sub/library_grid2_imgboxs_but_l.png) no-repeat
    center center;
}
.swiper-button-next:after,
.swiper-button-prev:after {
  display: none !important;
}
.swiper-button-next.swiper-button-disabled,
.swiper-button-prev.swiper-button-disabled {
  opacity: unset !important;
  cursor: unset !important;
  pointer-events: unset !important;
}
.no_contents {
  width: 100%;
  padding: 12px 0;
  border-bottom: 1px solid #dbdbdb;
}
.no_contents p {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 19px;
  color: #000000;
  text-align: center;
}

.img_view.img_view1 {
  display: flex;
  align-items: center;
  gap: 3px;
}
.img_view.img_view1 a:nth-child(1) {
  display: flex;
  align-items: center;
  justify-content: center;
}
.img_view.img_view1 a {
  color: #777;
  font-size: 14px;
  vertical-align: middle;
  font-weight: 500;
}
.guide_text {
  color: red !important;
}
.guide2_content1_items2_1 {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

/* 도서관안내 */
.library_information_content1 {
  position: relative;
  border-radius: 15px;
  overflow: hidden;
  width: 100%;
  height: 400px;
  background: url(../images/img/sub/library_information_img.png) no-repeat
    center center;
  background-size: cover;
}
.library_information_content1 img {
  width: 100%;
  object-fit: cover;
}
.library_information_content1_img_txtbox {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  left: 0;
  background-color: #00000054;
  opacity: 0;
  animation: fadeIn 1s forwards;
  animation-delay: 1s;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.library_information_content2_title {
  border-top: 3px solid #222;
  width: fit-content;
  padding-top: 5px;
  margin-bottom: 15px;
  margin-top: 40px;
}
.library_information_content2_title h1 {
  font-size: 23px;
}
.library_information_content1_img_txtbox p {
  font-size: 26px;
  color: #fff;
  font-weight: 700;
}
.library_information_content1_img_txtbox p i {
  color: #71c5ec;
  font-weight: 700;
  font-style: normal;
}
.library_information_content2 {
  display: flex;
  flex-direction: column;
  width: 100%;
}
.library_information_content2_box {
  display: flex;
  flex-direction: column;
}
.library_information_content2_itemss {
  display: flex;
  align-items: center;
  gap: 6px;
}
.library_information_content2_item {
  padding: 12px 0;
  display: flex;
  align-items: center;
  gap: 2px;
}
.library_information_content2_item.library_information_content2_item_1 p {
  font-size: 16px;
  font-weight: 700;
  border-right: 1px solid #e5e5e5;
  padding-right: 6px;
  color: #222;
  width: 100%;
}
.library_information_content2_item:nth-child(3) p {
  color: #266cac;
}
.library_information_content2_item_icon {
  display: flex;
  align-items: center;
  justify-content: center;
}
.library_information_content2_item p {
  display: block;
  font-size: 14px;
  color: #282828;
  font-weight: 600;
}
.library_information_content2_items {
  display: flex;
  gap: 12px;
  border-bottom: 1px solid #eaecf1;
}
.library_information_see_more {
  width: fit-content;
  padding: 8px 12px;
  margin-top: 12px;
  background: #265d95;
  border-radius: 5px;
  color: #fff;
  border: 1px solid #ffffff;
  transition: 0.3s;
  cursor: pointer;
  font-size: 16px;
  font-weight: 600;
}
.library_information_see_more:hover {
  background-color: #fff;
  color: #265d95;
  border: 1px solid #265d95;
}
.library_information_but_box {
  display: flex;
  align-items: center;
  justify-content: center;
}
